import { AfterViewInit, ElementRef, EventEmitter, Injector, NgZone, OnDestroy } from '@angular/core';
import type { Extensions } from '@tiptap/core';
import { Editor } from '@tiptap/core';
import type { ParseOptions } from 'prosemirror-model';
import type { EditorProps } from 'prosemirror-view';
import { ExtensionBuilder } from '../../extensions/base-extension.model';
import { TipDialogService } from '../../services/dialog.service';
import { TiptapEventService } from '../../services/tiptap-event.service';
import { TiptapExtensionService } from '../../services/tiptap-extension.service';
export declare class EditorComponent implements AfterViewInit, OnDestroy, OnDestroy {
    private ngZone;
    private element;
    private injector;
    private tiptapExtensionService;
    private platformId;
    jsonChange: EventEmitter<Record<string, any>>;
    htmlChange: EventEmitter<string>;
    created: EventEmitter<Editor>;
    beforeCreate: EventEmitter<{
        editor: Editor;
    }>;
    create: EventEmitter<{
        editor: Editor;
    }>;
    update: EventEmitter<{
        editor: Editor;
    }>;
    selectionUpdate: EventEmitter<{
        editor: Editor;
    }>;
    transaction: EventEmitter<{
        editor: Editor;
        transaction: import("prosemirror-state").Transaction<any>;
    }>;
    focus: EventEmitter<{
        editor: Editor;
        event: FocusEvent;
    }>;
    blur: EventEmitter<{
        editor: Editor;
        event: FocusEvent;
    }>;
    destroy: EventEmitter<{}>;
    content: object | string | null;
    injectCSS: boolean;
    autofocus: boolean;
    editable: boolean;
    editorProps: EditorProps;
    parseOptions: ParseOptions;
    enableInputRules: boolean;
    enablePasteRules: boolean;
    extensions: Extensions;
    angularExtensions: ExtensionBuilder<any, any>[];
    runEventsOutsideAngular: boolean;
    private editorComponent;
    private headerComponent;
    private tiptap;
    private destroy$;
    private buildExtensions;
    constructor(ngZone: NgZone, element: ElementRef, injector: Injector, tiptapExtensionService: TiptapExtensionService, platformId: any, dialogService: TipDialogService, eventService: TiptapEventService);
    get editor(): Editor | null;
    ngAfterViewInit(): Promise<void>;
    ngOnDestroy(): void;
    private registerEvents;
    private buildEditorOptions;
    private mergeNativeAndAngularExtensions;
    private pipeTo;
    private setTipTapInAngularExtension;
    private callDestroyLifecycle;
}
