import { Injector, NgZone, Type } from '@angular/core';
import { AnyExtension, Range } from '@tiptap/core';
import { MentionOptions } from '@tiptap/extension-mention';
import { Node as ProseMirrorNode } from 'prosemirror-model';
import { AdvancedBaseExtension } from '../../base-extension';
import { MentionFetchFunction, MentionPreviewComponent, MentionPreviewInterface } from './mention-preview.component';
export declare type MentionData = {
    id: string;
    label?: string;
} | {
    id: string;
    label: null;
};
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        mention: {
            setMention: (attributes: {
                range?: Range | number;
                props: MentionData;
            }) => ReturnType;
        };
    }
}
interface NgxMentionOptions {
    previewComponent?: Type<MentionPreviewInterface>;
    HTMLAttributes?: Record<string, any>;
    renderLabel?: (props: {
        options: MentionOptions;
        node: ProseMirrorNode;
    }) => string;
    mentionFetchFunction?: MentionFetchFunction;
}
export declare class NgxMention extends AdvancedBaseExtension<NgxMentionOptions> {
    protected injector: Injector;
    private ngZone;
    private document;
    private _onClick$;
    onClick$: import("rxjs").Observable<MentionData>;
    defaultOptions: {
        HTMLAttributes: {
            class: string;
        };
        previewComponent: typeof MentionPreviewComponent;
    };
    constructor(injector: Injector, ngZone: NgZone, document: Document);
    createExtension(extensionOptions: Required<NgxMentionOptions>): AnyExtension;
}
export {};
