import { NgZone } from '@angular/core';
import { AnyExtension } from '@tiptap/core';
import { LinkOptions } from '@tiptap/extension-link';
import { TipDialogService } from '../../services/dialog.service';
import { TiptapEventService } from '../../services/tiptap-event.service';
import { BaseExtension } from '../base-extension';
export interface NgxLinkOptions extends Partial<LinkOptions> {
    popupText?: string;
    inputPlaceholder?: string;
}
export declare class NgxLink extends BaseExtension<NgxLinkOptions> {
    private dialogService;
    protected eventService: TiptapEventService;
    private ngZone;
    private document;
    defaultOptions: Partial<NgxLinkOptions>;
    private dialogRef;
    private tooltipRef;
    private linkElement;
    constructor(dialogService: TipDialogService, eventService: TiptapEventService, ngZone: NgZone, document: Document);
    createExtension(extensionOptions: NgxLinkOptions): AnyExtension;
    onEditorReady(): void;
    onEditorDestroy(): any;
    openLinkDialog(): Promise<void>;
    can(): Promise<boolean>;
    isActive(): boolean;
    private openLinkPreview;
    private getLinkElement;
    private closeLinkPreview;
}
