import type { Editor } from '@tiptap/core';
import { MonoTypeOperatorFunction, Observable, OperatorFunction } from 'rxjs';
import { EditorEvent, EditorEventReturn, HeadingsExtension } from './models/types';
export declare const getHeadingsExtension: (editor: Editor) => HeadingsExtension;
export declare const newUIntArrives: OperatorFunction<number, number>;
export declare const sleep: (ms: number) => Promise<unknown>;
export declare const fromEditorEvent: <T extends EditorEvent>(editor: Editor, event: T, once?: boolean) => Observable<EditorEventReturn[T]>;
export declare const asyncFilter: <T>(predicate: (value: T, index: number) => Promise<boolean>) => MonoTypeOperatorFunction<T>;
export declare const summarize: <T>(time: number) => MonoTypeOperatorFunction<T>;
